<!-- These are here just to show the structure of the list items -->
<!-- List items should get the class `editing` when editing and `completed` when marked as completed -->
<li [class.completed]="todo.done"
    [class.editing]="editing">
  <div class="view">
    <input class="toggle"
           [formControl]="chkCompleted"
           type="checkbox">
    <label (dblclick)="editItem()">{{ todo.text }}</label>
    <button class="destroy" (click)="removeItem()"></button>
  </div>
  <input class="edit"
         type="text"
         [formControl]="txtInput"
         (keyup.enter)="finishEditing()" 
         (blur)="finishEditing()"
         #inputRefered>
</li>
